%define initdir /etc/rc.d/init.d

Summary: PPP Over Ethernet (xDSL support)
Name: rp-pppoe
Version: 2.5
Release: 1
Copyright: GPL
Group: System Environment/Daemons
Source: http://www.roaringpenguin.com/rp-pppoe-%{version}.tar.gz
Source1: README_T-DSL
Patch1: rp-pppoe-2.2-init.patch
Patch2: rp-pppoe-2.5-misc.patch
Url: http://www.roaringpenguin.com/pppoe.html
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{_prefix}
Prereq: /sbin/chkconfig /sbin/service /etc/init.d
Requires: ppp >= 2.3.10, kernel >= 2.2.9
Excludearch: ia64

%description
PPPoE (Point-to-Point Protocol over Ethernet) is a protocol used by
many ADSL Internet Service Providers. Roaring Penguin has a free
client for Linux systems to connect to PPPoE service providers.

The client is a user-mode program and does not require any kernel
modifications. It is fully compliant with RFC 2516, the official PPPoE
specification.

%prep
%setup -q
%patch1 -p1 -b .init
%patch2 -p1 -b .misc

%build
autoconf
%configure
make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT
make install RPM_INSTALL_ROOT=$RPM_BUILD_ROOT 
cp %{SOURCE1} .

%post
/sbin/chkconfig --add pppoe

%preun
if [ "$1" = "0" ]; then
  /sbin/service pppoe stop > /dev/null 2>&1
  /sbin/chkconfig --del pppoe
fi

%postun
if [ "$1" -ge "1" ]; then
  /sbin/service pppoe condrestart > /dev/null 2>&1
fi
                   

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES HOW-TO-CONNECT LICENSE README adsl-state.pl firewall README_T-DSL
%config(noreplace) %{_sysconfdir}/ppp/pppoe.conf
%config(noreplace) %{_sysconfdir}/ppp/pppoe-server-options
#%config(noreplace) %{_sysconfdir}/ppp/firewall-masq
#%config(noreplace) %{_sysconfdir}/ppp/firewall-standalone
%{_sbindir}/*
%{_mandir}/*/*
%attr(755,root,root) %config %{initdir}/pppoe

%changelog
* Mon Dec 11 2000 Than Ngo <than@redhat.com>
- updated to 2.5, it fixes a denial-of-service vulnerability

* Tue Aug 08 2000 Than Ngo <than@redhat.de>
- fix german configuration HOWTO to T-DSL

* Mon Aug 07 2000 Than Ngo <than@redhat.de>
- fixes for starting pppd under /usr/sbin
- added german configuration HOWTO to T-DSL

* Tue Aug 01 2000 Than Ngo <than@redhat.de>
- update to 2.2

* Fri Jul 28 2000 Than Ngo <than@redhat.de>
- fixed initscripts so that condrestart doesn't return 1 when the test fails

* Thu Jul 27 2000 Than Ngo <than@redhat.de>
- update to 2.1
- don't detect pppd for building

* Thu Jul 27 2000 Than Ngo <than@redhat.de>
- rename the rp-pppoe startup script (Bug #14734)

* Wed Jul 26 2000 Bill Nottingham <notting@redhat.com>
- don't run by default; it hangs if not configured

* Tue Jul 25 2000 Bill Nottingham <notting@redhat.com>
- prereq /etc/init.d (it's referenced in the initscript)

* Tue Jul 18 2000 Than Ngo <than@redhat.de>
- inits back to rc.d/init.d, using service to fire them up

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sat Jul 08 2000 Than Ngo <than@redhat.de>
- add Prereq: /etc/init.d

* Fri Jun 30 2000 Than Ngo <than@redhat.de>
- turned off deamon by default

* Tue Jun 27 2000 Than Ngo <than@redhat.de>
- don't prereq, only require initscripts

* Mon Jun 26 2000 Than Ngo <than@redhat.de>
- /etc/rc.d/init.d -> /etc/init.d
- add condrestart directive
- fix post/preun/postun scripts
- prereq initscripts >= 5.20

* Sun Jun 18 2000 Than Ngo <than@redhat.de>
- use RPM macros
- rebuilt in the new build environment

* Wed May 31 2000 Than Ngo <than@redhat.de> 
- adopted for Winston.
